Skip to main content

Cancel allowance

DELETE https://wallet.paysera.com/rest/v1/allowance/{allowanceId}

Cancel active allowance by ID.

Status must be active.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
allowanceIdinteger✓Allowance identifier

Example​

Request​

DELETE https://wallet.paysera.com/rest/v1/allowance/{allowanceId}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"id": 452891,
"transaction_key": "aB3dEf8H",
"created_at": 1787112038,
"status": "inactive",
"currency": "EUR",
"wallet": 6194827,
"confirmed_at": 1787112601,
"valid": {
"for": 604800
},
"valid_for": 168,
"description": "Monthly Subscription",
"max_price": 250,
"max_price_decimal": "2.50"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Allowance canceled successfully
{
"id": 452891,
"transaction_key": "aB3dEf8H",
"created_at": 1787112038,
"status": "inactive",
"currency": "EUR",
"wallet": 6194827,
"confirmed_at": 1787112601,
"valid": {
"for": 604800
},
"valid_for": 168,
"description": "Monthly Subscription",
"max_price": 250,
"max_price_decimal": "2.50"
}